#!/usr/bin/env bash

MWC_HEAD_IP="10.128.13.3"
ENODEB_ADDR="119.0.0.10"
UE_SUBNET="17.255.0.0/16"

function onos_cli {
    sshpass -p rocks ssh onos@${MWC_HEAD_IP} -p8101 -o "UserKnownHostsFile=/dev/null" -o "StrictHostKeyChecking=no" "$@"
}

set -ex

onos-netcfg ${MWC_HEAD_IP} ${ONOS_ROOT}/p4-pod-configs/mwc-pod/sr-conf-base.json
sleep 2
onos-netcfg ${MWC_HEAD_IP} ${ONOS_ROOT}/p4-pod-configs/mwc-pod/sr-conf-spine1.json
sleep 1
onos-netcfg ${MWC_HEAD_IP} ${ONOS_ROOT}/p4-pod-configs/mwc-pod/sr-conf-spine2.json
sleep 1
onos-netcfg ${MWC_HEAD_IP} ${ONOS_ROOT}/p4-pod-configs/mwc-pod/hosts.json
sleep 2
onos-netcfg ${MWC_HEAD_IP} ${ONOS_ROOT}/p4-pod-configs/mwc-pod/cavium-spine1.json
sleep 3
onos-netcfg ${MWC_HEAD_IP} ${ONOS_ROOT}/p4-pod-configs/mwc-pod/cavium-spine2.json
sleep 3
onos-netcfg ${MWC_HEAD_IP} ${ONOS_ROOT}/p4-pod-configs/mwc-pod/tofino-leaf1-netcfg.json
sleep 5
onos-netcfg ${MWC_HEAD_IP} ${ONOS_ROOT}/p4-pod-configs/mwc-pod/tofino-leaf2-netcfg.json
sleep 5
bash fpcagent/scripts/addP4DPN.sh ${MWC_HEAD_IP} device:leaf1
sleep 1
onos_cli route-add ${UE_SUBNET} ${ENODEB_ADDR}
onos_cli cfg set org.onosproject.net.flow.impl.FlowRuleManager fallbackFlowPollFrequency 5
onos_cli cfg set org.onosproject.net.group.impl.GroupManager fallbackGroupPollFrequency 5
